import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import AutoImport from 'unplugin-auto-import/vite'
import Components from 'unplugin-vue-components/vite'
import { ElementPlusResolver } from 'unplugin-vue-components/resolvers'

const TEMPLATE_API_URL = 'http://localhost:8080/api/';
// https://vitejs.dev/config/
export default defineConfig({
  base: '/',
  define: {
    'process.env.TEMPLATE_API_URL': JSON.stringify(TEMPLATE_API_URL),
  },
  plugins: [
    vue(),
    AutoImport({
      resolvers: [ElementPlusResolver()]
    }),
    Components({
      resolvers: [ElementPlusResolver()]
    })
  ],
  server: {
    fs: {
      // 可以为项目根目录的上一级提供服务
      allow: ['..']
    }
  }
})
